package cz.moneta.test.dsl.util.code.lists;

public enum HCisVztahKBanceCIF {
    ABION("ABION, s.r.o.", "10"),
    ADP("ADP CZ, a. s.", "11"),
    AGRO_CONSULT("AgroConsult Bohemia s.r.o.", "19"),
    PENSIONERS_MONETA("Důchodci MONETA Money Bank", "08"),
    GE_AVIATION("GE AVIATION CZECH S.R.O.", "22"),
    GE_POWER("GE POWER S. R. O.", "21"),
    GLOBAL_FIN("GLOBAL FIN.RESTRUCTURING CZECH", "23"),
    CONTRACTORS("Kontraktoři", "09"),
    LEO_BURNETT("LEO BURNETT Advertising, s.r.o.", "13"),
    LOGOS("LOGOS, a.s.", "18"),
    MARK_BBDO("MARK/BBDO, A.S.", "20"),
    OM_FOCUS("O&M FOCUS, s.r.o.", "14"),
    T_SYSTEMS("T-Systems Czech, s.r.o", "12"),
    VIP_FO("VIP - FO", "15"),
    VIP_CLIENT_PO("VIP Klient PO", "24"),
    EMPLOYEE_GE_INDUSTRIAL("Zaměstnanec GE Industrial, s.r.o.", "16"),
    EMPLOYEE_GE_INTERNATIONAL("Zaměstnanec GE International, Inc. - obchodní zastoupení", "07"),
    EMPLOYEE_GE_MEDICAL_SA("Zaměstnanec GE Medical System SA - organizační složka", "05"),
    EMPLOYEE_GE_MEDICAL_SYSTEMS("Zaměstnanec GE Medical Systems Česká republika, s.r.o", "04"),
    EMPLOYEE_MONETA_AUTO("Zaměstnanec MONETA Auto", "02"),
    EMPLOYEE_MONETA_MONEY_BANK("Zaměstnanec MONETA Money Bank", "01"),
    EMPLOYEE_GE_MULTISERVIS("Zaměstnanec GE Multiservis", "03"),
    EMPLOYEE_MONEY_HOLDINGS("Zaměstnanec Money (Czech) Holdings, s.r.o", "06"),
    EMPLOYEE_MONETA_LEASING("Zaměstnanec MONETA Leasing", "25"),
    BW_MANAGERS("B@W manažeři bez hypoték", "26"),
    OGILVY("Ogilvy Public Relations, s.r.o.", "17"),
    NONE("(není)", "");

    private final String name;
    private final String metaCodeValue;

    HCisVztahKBanceCIF(String name, String metaCodeValue) {
        this.name = name;
        this.metaCodeValue = metaCodeValue;
    }

    public String getName() {
        return name;
    }

    public String getMetaCodeValue() {
        return metaCodeValue;
    }
}
